package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.CreditRating;


/**
*  service接口类
*/
public interface CreditRatingService{

    List<CreditRating> getCreditRatingList(CreditRating record);

    List<CreditRating> getCreditRatingByPage(Page page, CreditRating record);

    CreditRating getCreditRatingById(String id);

    CreditRating getCreditRating(CreditRating record);

    boolean createCreditRating(CreditRating record);

    boolean deleteCreditRating(CreditRating record);

    boolean updateCreditRating(CreditRating record);
}

